Loading...
Searching...
No Matches
DcmTLSSCU Class Reference

Base class for implementing DICOM TLS-enabled Service Class User functionality. More...

Inheritance diagram for DcmTLSSCU:

## Public Member Functions

| DcmTLSSCU ()
| Constructor, just initializes internal class members.
| DcmTLSSCU (const OFString &peerHost, const OFString &peerAETitle, const Uint16 portNum)
| Initialize SCU with connection peer information.
virtual | ~DcmTLSSCU ()
| Virtual destructor.
virtual OFCondition | initNetwork ()
| Initialize network, i.e. prepare for association negotiation.
virtual OFCondition | negotiateAssociation ()
| Negotiates association by using presentation contexts and parameters as defined by earlier function calls.
virtual void | closeAssociation (const DcmCloseAssociationType closeType)
| Closes the association of this SCU.
virtual void | addTrustedCertFile (const OFString &str)
| Add file with trusted certificate (used if authentication is enabled).
virtual void | addTrustedCertDir (const OFString &certDir)
| Add directory to list of directories containing trusted certificates (used if authentication is enabled).
virtual void | enableAuthentication (const OFString &privateKey, const OFString &certFile, const char *passphrase=NULL, const DcmKeyFileFormat privKeyFormat=DCF_Filetype_PEM, const DcmKeyFileFormat certFormat=DCF_Filetype_PEM)
| Turn on authentication for TLS.
virtual void | disableAuthentication ()
| Disables authentication.
virtual OFCondition | setTLSProfile (DcmTLSSecurityProfile profile)
| replace the current list of ciphersuites by the list of ciphersuites for the given profile.
virtual OFCondition | activateCipherSuites ()
| activate the ciphersuites that have been added to the list of ciphersuites for TLS negotiation.
virtual OFCondition | addCipherSuite (const OFString &suite)
| adds a ciphersuite to the list of ciphersuites for TLS negotiation.
virtual void | setReadSeedFile (const OFString &seedFile)
| Set file to be used as random seed for initializing the Pseudo Random Number Generator (PRNG).
virtual void | setWriteSeedFile (const OFString &seedFile)
| Set file to be use to store the updated random seed to store the updated random seed from the Pseudo Random Number Generator (PRNG).
virtual void | setPeerCertVerification (const DcmCertificateVerification cert)
| Set whether peer's certificate must be there, only is checked if there or is ignored.
virtual void | setDHParam (const OFString &dhParam)
| Set Diffie-Hellman parameters from file.
virtual OFBool | getAuthenticationParams (OFString &privKeyFile, OFString &certFile, const char *&passphrase, int &privKeyFormat, int &certFormat) const
| Returns OFTrue if authentication is enabled.
virtual void | getTrustedCertFiles (OFList< OFString > &files) const
| Get files considered for trusted certificates.
virtual void | getTrustedCertDirs (OFList< OFString > &trustedDirs) const
| Get directories containing considered to contain trusted certificates.
virtual OFString | getReadSeedFile () const
| Get random seed file used for initializing Pseudo Random Number Generator (PRNG).
virtual OFString | getWriteSeedFile () const
| Get random seed file the PRNG should use to store back updated random seed information.
Public Member Functions inherited from DcmSCU
| DcmSCU ()
| Constructor, just initializes internal class members.
virtual | ~DcmSCU ()
| Virtual destructor.
OFCondition | addPresentationContext (const OFString &abstractSyntax, const OFList< OFString > &xferSyntaxes, const T_ASC_SC_ROLE role=ASC_SC_ROLE_DEFAULT)
| Add presentation context to be used for association negotiation.
T_ASC_PresentationContextID | findPresentationContextID (const OFString &abstractSyntax, const OFString &transferSyntax, const T_ASC_SC_ROLE requestorRole=ASC_SC_ROLE_DEFAULT)
| After negotiation association, this call returns the first usable presentation context given the desired abstract syntax and transfer syntax.
T_ASC_PresentationContextID | findAnyPresentationContextID (const OFString &abstractSyntax, const OFString &transferSyntax)
| After a successful association negotiation, this function is called to return the presentation context ID that best matches the desired abstract syntax and transfer syntax (TS).
virtual OFCondition | sendECHORequest (const T_ASC_PresentationContextID presID)
| This function sends a C-ECHO command via network to another DICOM application.
virtual OFCondition | sendSTORERequest (const T_ASC_PresentationContextID presID, const OFFilename &dicomFile, DcmDataset *dataset, Uint16 &rspStatusCode, const OFString &moveOriginatorAETitle="", const Uint16 moveOriginatorMsgID=0)
| This function sends a C-STORE request on the currently opened association and receives the corresponding response then.
virtual OFCondition | sendMOVERequest (const T_ASC_PresentationContextID presID, const OFString &moveDestinationAETitle, DcmDataset *dataset, OFList< RetrieveResponse * > *responses)
| Sends a C-MOVE Request on given presentation context and receives list of responses.
virtual OFCondition | handleMOVEResponse (const T_ASC_PresentationContextID presID, RetrieveResponse *response, OFBool &waitForNextResponse)
| This is the standard handler for C-MOVE message responses: It just adds up all responses it receives and prints a DEBUG message.
virtual OFCondition | sendCGETRequest (const T_ASC_PresentationContextID presID, DcmDataset *dataset, OFList< RetrieveResponse * > *responses)
| Sends a C-GET Request on given presentation context and receives list of responses.
virtual OFCondition | handleCGETSession (const T_ASC_PresentationContextID presID, DcmDataset *dataset, OFList< RetrieveResponse * > *responses)
| Does the logic for switching between C-GET Response and C-STORE Requests.
virtual OFCondition | handleCGETResponse (const T_ASC_PresentationContextID presID, RetrieveResponse *response, OFBool &continueCGETSession)
| Function handling a single C-GET Response.
virtual OFCondition | handleSTORERequest (const T_ASC_PresentationContextID presID, DcmDataset *incomingObject, OFBool &continueCGETSession, Uint16 &cStoreReturnStatus)
| Function handling a single C-STORE Request.
virtual OFCondition | handleSTORERequestFile (T_ASC_PresentationContextID *presID, const OFString &filename, T_DIMSE_C_StoreRQ *request)
| Function handling a single C-STORE Request.
virtual OFCondition | sendFINDRequest (const T_ASC_PresentationContextID presID, DcmDataset *queryKeys, OFList< QRResponse * > *responses)
| Sends a C-FIND Request on given presentation context and receives list of responses.
virtual OFCondition | handleFINDResponse (const T_ASC_PresentationContextID presID, QRResponse *response, OFBool &waitForNextResponse)
| This is the standard handler for C-FIND message responses: It just adds up all responses it receives and prints a DEBUG message.
virtual OFCondition | sendCANCELRequest (const T_ASC_PresentationContextID presID, const Sint32 msgIDBeingRespondedTo=-1)
| Send C-CANCEL and, therefore, ends the C-FIND -GET or -MOVE session, i.e. no further responses will be handled.
virtual OFCondition | sendACTIONRequest (const T_ASC_PresentationContextID presID, const OFString &sopInstanceUID, const Uint16 actionTypeID, DcmDataset *reqDataset, Uint16 &rspStatusCode)
| This function sends a N-ACTION request on the currently opened association and receives the corresponding response then.
virtual OFCondition | sendEVENTREPORTRequest (const T_ASC_PresentationContextID presID, const OFString &sopInstanceUID, const Uint16 eventTypeID, DcmDataset *reqDataset, Uint16 &rspStatusCode)
| This function sends N-EVENT-REPORT request and receives the corresponding response.
virtual OFCondition | handleEVENTREPORTRequest (DcmDataset *&reqDataset, Uint16 &eventTypeID, const int timeout=0)
| Receives N-EVENT-REPORT request on the currently opened association and sends a corresponding response.
virtual OFCondition | sendNCREATERequest (const T_ASC_PresentationContextID presID, const OFString &affectedSopInstanceUID, DcmDataset *reqDataset, DcmDataset *&createdInstance, Uint16 &rspStatusCode)
| This function sends N-CREATE request and receives the corresponding response.
virtual OFCondition | sendNSETRequest (const T_ASC_PresentationContextID presID, const OFString &requestedSopInstanceUID, DcmDataset *modificationList, DcmDataset *&attributeList, Uint16 &rspStatusCode)
| This function sends N-SET request and receives the corresponding response.
virtual OFCondition | handleSessionResponseDefault (const Uint16 dimseStatus, const OFString &message, OFBool &waitForNextResponse)
| Function handling a single C-GET, C-FIND or C-MOVE Response, used by handleCGETResponse(), handleFINDResponse() and handleMOVEResponse().
virtual OFCondition | releaseAssociation ()
| Releases the current association by sending an A-RELEASE request to the SCP.
virtual OFCondition | abortAssociation ()
| Aborts the current association by sending an A-ABORT request to the SCP.
void | setMaxReceivePDULength (const Uint32 maxRecPDU)
| Set maximum PDU length (to be received by SCU).
void | setDIMSEBlockingMode (const T_DIMSE_BlockingMode blockingMode)
| Set whether to send in DIMSE blocking or non-blocking mode.
void | setAETitle (const OFString &myAETtitle)
| Set SCU's AE title to be used in association negotiation.
void | setPeerHostName (const OFString &peerHostName)
| Set SCP's host (host name or IP address) to talk to in association negotiation.
void | setPeerAETitle (const OFString &peerAETitle)
| Set SCP's AE title to talk to in association negotiation.
void | setProtocolVersion (T_ASC_ProtocolFamily protocolVersion)
| Set the IP protocol version.
void | setPeerPort (const Uint16 peerPort)
| Set SCP's port number to connect to for association negotiation.
void | setDIMSETimeout (const Uint32 dimseTimeout)
| Set timeout for receiving DIMSE messages.
void | setACSETimeout (const Uint32 acseTimeout)
| Set timeout for receiving ACSE messages.
void | setConnectionTimeout (const Sint32 connectionTimeout)
| Set timeout for connecting to the SCP.
void | setAssocConfigFileAndProfile (const OFString &filename, const OFString &profile)
| Set an association configuration file and profile to be used.
void | setImplementationIdentification (const T_ASC_ImplementationIdentification &implIdentification)
| Set association implementation identification parameters.
void | setStorageDir (const OFString &storeDir)
| Set the directory that should be used by the standard C-GET handler to store objects that come in with the corresponding C-STORE requests.
void | setStorageMode (const DcmStorageMode storageMode)
| Set the storage mode to be used.
void | setVerbosePCMode (const OFBool mode)
| Set whether to show presentation contexts in verbose or debug mode.
void | setDatasetConversionMode (const OFBool mode)
| Set the mode that specifies whether the transfer syntax of the dataset can be changed for network transmission.
void | setProgressNotificationMode (const OFBool mode)
| Set the mode that specifies whether the progress of sending and receiving DIMSE messages is notified by calling notifySENDProgress() and notifyRECEIVEProgress(), respectively.
OFBool | isConnected () const
| Get current connection status.
Uint32 | getMaxReceivePDULength () const
| Returns maximum PDU length configured to be received by SCU.
T_DIMSE_BlockingMode | getDIMSEBlockingMode () const
| Returns whether DIMSE messaging is configured to be blocking or unblocking.
const OFString & | getAETitle () const
| Returns the SCU's own configured AE title.
const OFString & | getPeerHostName () const
| Returns the SCP's (peer's) host configured.
const OFString & | getPeerAETitle () const
| Returns the SCP's (peer's) AE title configured.
Uint16 | getPeerPort () const
| Returns the SCP's (peer's) TCP/IP port configured.
Uint32 | getDIMSETimeout () const
| Returns DIMSE timeout in seconds for receiving data.
Uint32 | getACSETimeout () const
| Returns ACSE timeout in seconds used by timer for message timeouts during association negotiation.
Sint32 | getConnectionTimeout () const
| Returns the timeout configured defining how long SCU will wait for the SCP when requesting an association.
OFString | getStorageDir () const
| Returns the storage directory used for storing objects received with C-STORE requests in the context of C-GET sessions.
DcmStorageMode | getStorageMode () const
| Returns the storage mode enabled.
OFBool | getVerbosePCMode () const
| Returns the verbose presentation context mode configured specifying whether details on the presentation contexts (negotiated during association setup) should be shown in verbose or debug mode.
OFBool | getDatasetConversionMode () const
| Returns the mode that specifies whether the transfer syntax of the dataset can be changed for network transmission.
OFBool | getProgressNotificationMode () const
| Returns the mode that specifies whether the progress of sending and receiving DIMSE messages is notified by calling notifySENDProgress() and notifyRECEIVEProgress(), respectively.
virtual OFBool | getTLSEnabled () const
| Returns whether SCU is configured to create a TLS connection with the SCP.
void | freeNetwork ()
| Deletes internal networking structures from memory.
OFCondition | useSecureConnection (DcmTransportLayer *tlayer)
| Tells DcmSCU to use a secure TLS connection described by the given TLS layer.

## Private Member Functions

| DcmTLSSCU (const DcmTLSSCU &src)
| Private undefined copy-constructor.
DcmTLSSCU & | operator= (const DcmTLSSCU &src)
| Private undefined operator=.

## Private Attributes

DcmTLSTransportLayer * | m_tLayer
| The TLS layer responsible for all encryption/authentication stuff.
OFBool | m_doAuthenticate
| If enabled, authentication of client/server is enabled.
OFList< OFString > | m_trustedCertDirs
| A list of directories containing trusted certificates (if authentication is enabled).
OFList< OFString > | m_trustedCertFiles
| A list of files containing trusted certificates (if authentication is enabled).
OFString | m_privateKeyFile
| The file containing the private key (if authentication is enabled).
DcmKeyFileFormat | m_privateKeyFileFormat
| private key file format
OFString | m_certificateFile
| File containing the certificate the SCU should use for authentication.
DcmKeyFileFormat | m_certKeyFileFormat
| certificate (public key) file format
char * | m_passwd
| password required to open the private key file
OFString | m_readSeedFile
| Random seed file used for initializing Pseudo Random Number Generator (PRNG).
OFString | m_writeSeedFile
| Random seed file used for writing updated seed from Pseudo Random Number Generator back to a file.
DcmCertificateVerification | m_certVerification
| Denotes how certificates are handled, i.e. whether they are required, validated or only validated if present.

## Additional Inherited Members

Protected Member Functions inherited from DcmSCU
OFCondition | sendDIMSEMessage (const T_ASC_PresentationContextID presID, T_DIMSE_Message *msg, DcmDataset *dataObject, DcmDataset **commandSet=NULL)
| Sends a DIMSE command and possibly also a dataset from a data object via network to another DICOM application.
OFCondition | getDatasetInfo (DcmDataset *dataset, OFString &sopClassUID, OFString &sopInstanceUID, E_TransferSyntax &transferSyntax)
| Returns SOP Class UID, SOP Instance UID and original transfer syntax for a given dataset.
OFCondition | receiveDIMSECommand (T_ASC_PresentationContextID *presID, T_DIMSE_Message *msg, DcmDataset **statusDetail, DcmDataset **commandSet=NULL, const Uint32 timeout=0)
| Receive DIMSE command (excluding dataset!) over the currently open association.
OFCondition | receiveDIMSEDataset (T_ASC_PresentationContextID *presID, DcmDataset **dataObject)
| Receives one dataset (of instance data) via network from another DICOM application.
void | clearPresentationContexts ()
| clear list of presentation contexts.
void | findPresentationContext (const T_ASC_PresentationContextID presID, OFString &abstractSyntax, OFString &transferSyntax)
| After negotiation association, this call returns the presentation context belonging to the given presentation context ID.
virtual void | notifyInstanceStored (const OFString &filename, const OFString &sopClassUID, const OFString &sopInstanceUID) const
| This function is called if an object was received due to a C-GET request and can be overwritten by a user in order to be informed about such an event.
virtual void | notifySENDProgress (const unsigned long byteCount)
| This function is called while sending DIMSE messages, i.e. on each PDV of a dataset.
virtual void | notifyRECEIVEProgress (const unsigned long byteCount)
| This function is called while receiving DIMSE messages, i.e. on each PDV of a dataset.
virtual Uint16 | checkEVENTREPORTRequest (T_DIMSE_N_EventReportRQ &request, DcmDataset *reqDataset)
| Check given N-EVENT-REPORT request and dataset for validity.
virtual OFCondition | sendSTOREResponse (T_ASC_PresentationContextID presID, Uint16 status, const T_DIMSE_C_StoreRQ &request)
| Sends back a C-STORE response on the given presentation context, with the designated status, fitting the corresponding C-STORE request.
virtual OFString | createStorageFilename (DcmDataset *dataset)
| Helper function that generates a storage filename by extracting SOP Class and SOP Instance UID from a dataset and combining that with the configured storage directory.
virtual OFCondition | ignoreSTORERequest (T_ASC_PresentationContextID presID, const T_DIMSE_C_StoreRQ &request)
| Receives a DICOM dataset on a given presentation context ID but does not store it in memory or disk, thus ignoring it.
virtual Uint16 | nextMessageID ()
| Returns next available message ID free to be used by SCU.
Static Protected Member Functions inherited from DcmSCU
static void | callbackSENDProgress (void *callbackContext, unsigned long byteCount)
| Callback function used for sending DIMSE messages.
static void | callbackRECEIVEProgress (void *callbackContext, unsigned long byteCount)
| Callback function used for receiving DIMSE messages.

## Detailed Description

Base class for implementing DICOM TLS-enabled Service Class User functionality.

This class is derived from the general DcmSCU class and just adds the corresponding TLS capabilities.

Remarks
  This class is only available if DCMTK is compiled with OpenSSL support enabled.

Warning
  This class is DEPRECATED and will be removed from future DCMTK releases. Instead of using this class, directly use class DcmSCU, which offers the method DcmSCU::useSecureConnection() to enable a TLS connection.

## Constructor & Destructor Documentation

## DcmTLSSCU() [1/2]

DcmTLSSCU::DcmTLSSCU | ( | const OFString & | peerHost,
|  | const OFString & | peerAETitle,
|  | const Uint16 | portNum )

Initialize SCU with connection peer information.

Parameters

  peerHost | The hostname or IP of the host to talk to
  peerAETitle | AETitle of peer host to be used
  portNum | TCP/IP port number to talk to

## DcmTLSSCU() [2/2]

DcmTLSSCU::DcmTLSSCU | ( | const DcmTLSSCU & | src | ) |

private

Private undefined copy-constructor.

Shall never be called.

Parameters

  src | Source object

References DcmTLSSCU().

## Member Function Documentation

## activateCipherSuites()

virtual OFCondition DcmTLSSCU::activateCipherSuites | ( |  | ) |

virtual

activate the ciphersuites that have been added to the list of ciphersuites for TLS negotiation.

Caller must ensure that initNetwork() is executed before this call.

Returns
  EC_Normal if successful, an error code otherwise

## addCipherSuite()

virtual OFCondition DcmTLSSCU::addCipherSuite | ( | const OFString & | suite | ) |

virtual

adds a ciphersuite to the list of ciphersuites for TLS negotiation.

Caller must ensure that initNetwork() is executed before this call. It is the responsibility of the user to ensure that the added ciphersuite does not break the rules of the selected profile. Use with care!

Parameters

  suite | TLS ciphersuite name, in the official TLS name form.

Returns
  EC_Normal if successful, an error code otherwise

## addTrustedCertDir()

virtual void DcmTLSSCU::addTrustedCertDir | ( | const OFString & | certDir | ) |

virtual

Add directory to list of directories containing trusted certificates (used if authentication is enabled).

Parameters

  certDir | Not documented yet

## addTrustedCertFile()

virtual void DcmTLSSCU::addTrustedCertFile | ( | const OFString & | str | ) |

virtual

Add file with trusted certificate (used if authentication is enabled).

Parameters

  str | Filename

## closeAssociation()

virtual void DcmTLSSCU::closeAssociation | ( | const DcmCloseAssociationType | closeType | ) |

virtual

Closes the association of this SCU.

Note
  The direct call of this method by user code should be avoided. Please use DcmSCU::releaseAssociation() or DcmSCU::abortAssociation() instead.

Parameters

  closeType | Define whether to release or abort the association

Reimplemented from DcmSCU.

## disableAuthentication()

virtual void DcmTLSSCU::disableAuthentication | ( |  | ) |

virtual

Disables authentication.

However, DcmTLSSCU will try to establish secured connection in terms of encrypting data. Default is that authentication is disabled.

## enableAuthentication()

virtual void DcmTLSSCU::enableAuthentication | ( | const OFString & | privateKey,
|  | const OFString & | certFile,
|  | const char * | passphrase = NULL,
|  | const DcmKeyFileFormat | privKeyFormat = DCF_Filetype_PEM,
|  | const DcmKeyFileFormat | certFormat = DCF_Filetype_PEM )

virtual

Turn on authentication for TLS.

Parameters

  privateKey | File with private key to authenticate with
  certFile | File with certificate to authenticate with
  passphrase | Password to access key. NULL asks user on console. "" will send empty password. Default is asking the user to enter password.
  privKeyFormat | Format of private key parameter. Default is SSL_FILETYPE_PEM.
  certFormat | Format of certificate file parameter. Default is SSL_FILETYPE_PEM.

References DCF_Filetype_PEM.

## getAuthenticationParams()

virtual OFBool DcmTLSSCU::getAuthenticationParams | ( | OFString & | privKeyFile,
|  | OFString & | certFile,
|  | const char *& | passphrase,
|  | int & | privKeyFormat,
|  | int & | certFormat ) const

virtual

Returns OFTrue if authentication is enabled.

Parameters

  privKeyFile | The file containing the private key used
  certFile | The file containing the certificate used
  passphrase | The passphrase used for unlocking the private key file. If NULL, password is asked from STDIN. If empty string (""), password is sent empty. All others values are sent as given.
  privKeyFormat | Format of the private key in privKeyFile, see documentation of m_privateKeyFileFormat.
  certFormat | The certificate format of certificate in certFile. See documentation of m_certKeyFileFormat.

Returns
  Returns OFTrue if authentication is enabled, OFFalse otherwise

## getReadSeedFile()

virtual OFString DcmTLSSCU::getReadSeedFile | ( |  | ) | const

virtual

Get random seed file used for initializing Pseudo Random Number Generator (PRNG).

Returns
  Random seed file used for reading

## getTrustedCertDirs()

virtual void DcmTLSSCU::getTrustedCertDirs | ( | OFList< OFString > & | trustedDirs | ) | const

virtual

Get directories containing considered to contain trusted certificates.

Parameters

  trustedDirs | directories considered to contain trusted certificates.

## getTrustedCertFiles()

virtual void DcmTLSSCU::getTrustedCertFiles | ( | OFList< OFString > & | files | ) | const

virtual

Get files considered for trusted certificates.

Parameters

  files | The file names that are considered as trusted certificates

## getWriteSeedFile()

virtual OFString DcmTLSSCU::getWriteSeedFile | ( |  | ) | const

virtual

Get random seed file the PRNG should use to store back updated random seed information.

Returns
  Get random seed file used for writing back updated seed

## initNetwork()

virtual OFCondition DcmTLSSCU::initNetwork | ( |  | ) |

virtual

Initialize network, i.e. prepare for association negotiation.

Returns
  EC_Normal if initialization was successful, otherwise error code

Reimplemented from DcmSCU.

## negotiateAssociation()

virtual OFCondition DcmTLSSCU::negotiateAssociation | ( |  | ) |

virtual

Negotiates association by using presentation contexts and parameters as defined by earlier function calls.

Returns
  EC_Normal if negotiation was successful, otherwise error code.

Reimplemented from DcmSCU.

## operator=()

DcmTLSSCU & DcmTLSSCU::operator= | ( | const DcmTLSSCU & | src | ) |

private

Private undefined operator=.

Shall never be called.

Parameters

  src | Source object

Returns
  Reference to this object

References DcmTLSSCU().

## setDHParam()

virtual void DcmTLSSCU::setDHParam | ( | const OFString & | dhParam | ) |

virtual

Set Diffie-Hellman parameters from file.

This method should be called after calls to initNetwork() and setTLSProfile().

Parameters

  filename | of dhParam Diffie-Hellman parameter file to be used.

## setPeerCertVerification()

virtual void DcmTLSSCU::setPeerCertVerification | ( | const DcmCertificateVerification | cert | ) |

virtual

Set whether peer's certificate must be there, only is checked if there or is ignored.

Parameters

  cert | Peer certificate verification mode. The following values are permitted: DCV_requireCertificate, DCV_checkCertificate, DCV_ignoreCertificate

## setReadSeedFile()

virtual void DcmTLSSCU::setReadSeedFile | ( | const OFString & | seedFile | ) |

virtual

Set file to be used as random seed for initializing the Pseudo Random Number Generator (PRNG).

Parameters

  seedFile | The seed file to be used.

## setTLSProfile()

virtual OFCondition DcmTLSSCU::setTLSProfile | ( | DcmTLSSecurityProfile | profile | ) |

virtual

replace the current list of ciphersuites by the list of ciphersuites for the given profile.

Caller must ensure that initNetwork() is executed before this call.

Parameters

  profile | TLS Security Profile

Returns
  EC_Normal if successful, an error code otherwise

## setWriteSeedFile()

virtual void DcmTLSSCU::setWriteSeedFile | ( | const OFString & | seedFile | ) |

virtual

Set file to be use to store the updated random seed to store the updated random seed from the Pseudo Random Number Generator (PRNG).

Parameters

  seedFile | The seed file to be used for writing back seed info

The documentation for this class was generated from the following file:

- dcmtls/include/dcmtk/dcmtls/tlsscu.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.15.0